# AIS_TypeOfAttribute.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | AIS_TypeOfAttribute { AIS_TOA_Line, AIS_TOA_Angle, AIS_TOA_Wire, AIS_TOA_Plane, AIS_TOA_Vector, AIS_TOA_UIso, AIS_TOA_VIso, AIS_TOA_Free, AIS_TOA_UnFree, AIS_TOA_Section, AIS_TOA_Hidden, AIS_TOA_Seen, AIS_TOA_FirstAxis, AIS_TOA_SecondAxis, AIS_TOA_ThirdAxis }
| To declare the type of distance. . More...

## Enumeration Type Documentation

enum AIS_TypeOfAttribute

Enumeration values:

  AIS_TOA_Line |
  AIS_TOA_Angle |
  AIS_TOA_Wire |
  AIS_TOA_Plane |
  AIS_TOA_Vector |
  AIS_TOA_UIso |
  AIS_TOA_VIso |
  AIS_TOA_Free |
  AIS_TOA_UnFree |
  AIS_TOA_Section |
  AIS_TOA_Hidden |
  AIS_TOA_Seen |
  AIS_TOA_FirstAxis |
  AIS_TOA_SecondAxis |
  AIS_TOA_ThirdAxis |